Bug 208979 - net-mgmt/ccnet: Updated to 5.1.2
Summary: net-mgmt/ccnet: Updated to 5.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, needs-qa
Depends on: 205669
Blocks: 203933 203934
  Show dependency treegraph
 
Reported: 2016-04-22 17:40 UTC by Ultima
Modified: 2016-05-29 12:45 UTC (History)
2 users (show)

See Also:
Ultima1252: maintainer-feedback+


Attachments
ccnet.diff (1.10 KB, patch)
2016-04-22 17:40 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
ccnet.diff (2.00 KB, patch)
2016-04-23 12:01 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
ccnet.diff (2.00 KB, patch)
2016-04-24 15:39 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
ccnet.diff (1.10 KB, patch)
2016-04-25 00:49 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
ccnet.diff (1.80 KB, patch)
2016-05-14 17:06 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2016-04-22 17:40:29 UTC
Created attachment 169573 [details]
ccnet.diff
Comment 1 Thomas Zander freebsd_committer 2016-04-23 11:06:02 UTC
Patch for ${PORTSDIR}/UIDs and GIDs missing.
If you use USERS and GROUPS, it looks up the necessary information from there.
Otherwise the build will fail as it does now:

===>   Generating temporary packing list
===> Creating groups.
** Cannot find any information about group `seafile' in /usr/ports/GIDs.
*** Error code 1

Stop.
make: stopped in /usr/ports/net-mgmt/ccnet

Could you provide an updated patch?
Comment 2 Ultima 2016-04-23 12:01:01 UTC
Created attachment 169590 [details]
ccnet.diff

Sorry, the UID/GID addition is on the other PR, ran QA with that patch applied.
Comment 3 Thomas Zander freebsd_committer 2016-04-24 13:43:27 UTC
(In reply to Ultima from comment #2)

There is a mistake in the UID file: nologin is in /usr/sbin/ , not /usr/bin

Also the build fails due to permission / ownership modifications:

...
====>> Checking for extra files and directories
====>> Error: Files or directories modified:
%%HAIWENDIR%% user (80, 900) gid (80, 900)

Would it be possible for you to check for build errors in poudriere before submitting the patches? Thank you in advance.
Comment 4 Ultima 2016-04-24 15:39:13 UTC
Created attachment 169631 [details]
ccnet.diff

(In reply to Thomas Zander from comment #3)
I always run poudriere on 11amd64, 11i386, 103amd64, 103i386, 93amd64, and 93i386 as well as do a portlint before posting any patch. I did not receive the same error during my qa.

====>> Checking for extra files and directories
====>> Cleaning up wrkdir
===>  Cleaning for ccnet-5.1.1
build of net-mgmt/ccnet ended at Sun Apr 24 11:26:47 EDT 2016
build time: 00:01:34

I didn't receive this in any of the jails. Is there an option I'm not aware of that is being set? My script runs poudriere bulk -t -C.
Comment 5 Thomas Zander freebsd_committer 2016-04-24 15:42:10 UTC
(In reply to Ultima from comment #4)

Yep.

poudriere testport is the way to go. bulk is much less stringent because it's made for a different use case.
Comment 6 Ultima 2016-04-24 15:53:20 UTC
(In reply to Thomas Zander from comment #5)
 I have just tried the following command,

# poudriere testport -p test -j 103amd64 net-mgmt/ccnet

 It is also not giving me errors. It appears to actually do less testing in the logfile. I have test-make.conf in etc/poudriere.d with DEVELOPER=yes. I'm not sure why I wouldn't also see this modified directory too. Any ideas? XD

poudriere version = 3.1.12
Comment 7 Ultima 2016-04-24 19:00:35 UTC
 Still not getting the error, but I think PR 205669 will fix this error.
Comment 8 Thomas Zander freebsd_committer 2016-04-24 20:33:22 UTC
(In reply to Ultima from comment #7)

OK, I see.
If this one is blocked by bug 205669, then you would have to apply the UID/GID changes in bug 205669, otherwise it won't build successfully.

This bug report will then wait until bug 205669 has been closed.
Comment 9 Ultima 2016-04-25 00:49:30 UTC
Created attachment 169645 [details]
ccnet.diff
Comment 10 Ultima 2016-05-14 17:06:02 UTC
Created attachment 170280 [details]
ccnet.diff

* Updated to 5.1.2

portlint -AC: WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

poudriere bulk -tC:
11amd64: Ok
11i386: Ok
103amd64: Ok
103i386: Ok
93amd64: Skipped, spdylay requires OpenSSL 1.0.1+
93i386:Skipped, spdylay requires OpenSSL 1.0.1+
Comment 11 Dmitry Marakasov freebsd_committer 2016-05-24 12:54:12 UTC
Thomas, dependent PR was committed. Can you commit this soon, or may I take this PR, as it holds a bunch of other PRs?
Comment 12 Dmitry Marakasov freebsd_committer 2016-05-28 20:01:49 UTC
Thomas, ping.
Comment 13 commit-hook freebsd_committer 2016-05-29 12:34:43 UTC
A commit references this bug:

Author: riggs
Date: Sun May 29 12:34:14 UTC 2016
New revision: 416098
URL: https://svnweb.freebsd.org/changeset/ports/416098

Log:
  Update to upstream release 5.1.2

  PR:		208979
  Submitted by:	Ultima1252@gmail.com (maintainer)

Changes:
  head/net-mgmt/ccnet/Makefile
  head/net-mgmt/ccnet/distinfo
  head/net-mgmt/ccnet/pkg-plist
Comment 14 Thomas Zander freebsd_committer 2016-05-29 12:37:10 UTC
Committed with one minor change: Added gettext to USES as it links to libintl by defailt.
Comment 15 Dmitry Marakasov freebsd_committer 2016-05-29 12:45:36 UTC
(In reply to Thomas Zander from comment #14)

Thank you!

> Committed with one minor change: Added gettext to USES as it links to
> libintl by defailt.

This is likely incorrect as libintl library dependency come from glib20 and not this port. It should be handled in bsd.gnome.mk, see

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=209813